Bug 14092 - 'rndc command' should be deprecated
'rndc command' should be deprecated
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.11.0rc1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
https://gitlab.com/samba-team/samba/m...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-16 19:08 UTC by Andrew Bartlett
Modified: 2019-09-03 11:49 UTC (History)
3 users (show)

See Also:


Attachments
patch for Samba 4.11 (2.93 KB, patch)
2019-08-23 09:16 UTC, Andrew Bartlett
asn: review+
abartlet: review? (garming)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2019-08-16 19:08:41 UTC
Samba's AD DC has required the use of the in-database DNS servers (internal or BIND9_DLZ) for some time, but we have kept this option to try and make using BIND9_FLATFILE automatic as well.

We should deprecate this in Samba 4.11 so we can remove it in master.

It will still be possible to use a text based zone file, but such sites will need to maintain the list of DCs able to update any record (or more likely directly update the DC DNS names) manually.
Comment 1 Andrew Bartlett 2019-08-16 19:18:32 UTC
The full removal is in a gitlab MR here: https://gitlab.com/samba-team/samba/merge_requests/614
Comment 2 Andrew Bartlett 2019-08-23 09:16:06 UTC
Created attachment 15420 [details]
patch for Samba 4.11
Comment 3 Andreas Schneider 2019-08-23 11:27:03 UTC
Karolin, could you please apply the patch to Samba 4.11? Thanks!
Comment 4 Karolin Seeger 2019-08-27 10:34:07 UTC
(In reply to Andreas Schneider from comment #3)
Pushed to autobuild-v4-11-test.
Comment 5 Karolin Seeger 2019-09-03 11:49:13 UTC
Pushed to v4-11-test.
Closing out bug report.

Thanks!